Bug 89540 - TOOLBAR: Show draw functions button doesnt work in Impress/Draw
Summary: TOOLBAR: Show draw functions button doesnt work in Impress/Draw
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords: needsDevEval, topicUI
Depends on:
Blocks: ImpressDraw-Toolbars Unify-Across-Apps
  Show dependency treegraph
 
Reported: 2015-02-21 21:14 UTC by Yousuf Philips (jay)
Modified: 2016-10-22 11:09 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2015-02-21 21:14:55 UTC
In Writer and Calc, the standard toolbar has a 'show draw functions' button (.uno:InsertDraw) to enable and disable the drawing toolbar, but this button doesnt work in Impress and Draw.
Comment 1 A (Andy) 2015-02-22 10:47:43 UTC
Hi Jay,

where can I find this icon?  I looked for it in WRITER and IMPRESS (LO 4.4.0.3) and could not find it.  Do I have to make something to make it visible?
Comment 2 Yousuf Philips (jay) 2015-02-22 20:35:59 UTC
Hey Andy,

In writer, its the last button on the right in the standard toolbar. I wasnt able to find the button in the customization dialog in impress, so i added the entry myself into the toolbar xml file and it was dimmed.
Comment 3 Buovjaga 2015-03-03 18:15:57 UTC
(In reply to Jay Philips from comment #2)
> In writer, its the last button on the right in the standard toolbar. I wasnt
> able to find the button in the customization dialog in impress, so i added
> the entry myself into the toolbar xml file and it was dimmed.

How can we do this addition?
Comment 4 Yousuf Philips (jay) 2015-03-04 00:17:00 UTC
Well i customized one of the toolbars by adding, removing or hiding an entry in it, then an xml file will be created in the user profile for it ( [profile dir]/4/user/config/soffice.cfg/modules/simpress/toolbar/ ), then i closed LO, open the xml file and added a line containing the .uno:InsertDraw entry on it and then loaded LO back up again and the button is dimmed.
Comment 5 Buovjaga 2015-03-04 11:31:21 UTC
Reproduced dimmed button.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 7c0eb12009496a35c927cd5b2520f9c34d50860b
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-03_10:52:12
Locale: fi_FI
Comment 6 Yousuf Philips (jay) 2015-04-12 07:46:26 UTC
Would be useful to know if this is an easy hack or not from the devs.
Comment 7 Robinson Tryon (qubit) 2015-12-14 07:18:16 UTC Comment hidden (obsolete)
Comment 8 Gülşah Köse 2015-12-23 12:45:28 UTC
I am working on this bug. I've sent a patch. (https://gerrit.libreoffice.org/20553) I am trying to find SID_INSERT_DRAW slots's execution method. ViewShellBase::Execute method is defined execution method. But When i click the "show draw functions" button, this method is not triggered.

Can anyone help  me where is my fault?
Comment 9 Commit Notification 2015-12-30 21:01:20 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5fe01e8b69e40b1acc60b6068aa39cdf625e3ce4

tdf#89540 Completed show draw functions button for impress and draw.

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2015-12-30 21:01:25 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58482f97c1c54c4008479af46eae47a0b9b6e12b

Related: tdf#89540 We don't use PseudoSlots in sd

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Maxim Monastirsky 2015-12-30 21:04:55 UTC
Good job Gülşah, Thanks!
Comment 12 Gülşah Köse 2015-12-30 21:52:16 UTC
Thanks for your help Maxim